connect_schematic_components#

ModelerEmit.connect_schematic_components(starting_component, ending_component, pin_starting=2, pin_ending=1)[source]#

Connect schematic components.

Parameters:
starting_componentstr

Starting (right) component.

ending_componentstr

Ending (left) component for the connection line.

pin_startingstr, optional

Number of the pin at which to terminate the connection from the right end of the starting component. The default is 2.

pin_endingstr, optional

Number of the pin at which to terminate the connection from the left end of the ending component. The default is 1.

Returns:
bool

True when successful, False when failed.

References

>>> oEditor.CreateWire